
I can't. It is just far too huge and detailed to summarize in this space. It would take a book. It was Washington's Birthday and I had the day off from school. I could have stayed home but I chose to go to work with my dad at the family gas station mom and dad owned. I worked there on weekends and after school helping my dad out. I pumped gas, washed windows, checked oil and took care of customers including taking their money and bringing them change. I also cleaned the bathrooms, filled the oil racks with cans of oil, filled the soda machine and collected the money, swept up and did other jobs for my dad and was paid 50 cents an hour. That was a LOT of money in 1966 considering comic books cost 12 cents, matinee movie tickets were 1 dollar and so forth. I could make $4 a day working for my dad on weekends and $1+ a day after school. That's $13 to $15 a week. So I decided to go with my dad for Washington's holiday from school.

Nearby the gas station were huge limestone boulders some soaring as high as 30+ feet. That day was just another freezing cold morning where the ground was covered in ice (which happened a lot in the 60s and 70s). So there wasn't a lot of business that day and I did all the other jobs Dad had for me. Being bored, I asked him if it would be ok if I took off for a while.

I went out into those huge boulders, boulders I had climbed many times. To make a long story short, the water freezing and thus expanding in the cracks of these boulders had loosened a chunk of rock on this 15 to 20 foot high boulder. The chunk was perched on a ledge but seemed adhered to the side of the greater rock. I had climbed over it many times but this day it broke loose. The chunk was tear shaped, narrow, tapered at the top but thick, wide and heavy at the bottom, and was about 4' high or so as I recall. It broke off, I fell backwards off the gigantic boulder and this stone fell right on top of me. In fact, I rode it to the ground. It probably weighed around 400 to 500 pounds.

I don't recall much at that point except hearing a voice far off in the distance screaming. 'Oh my God, I'm dead!' I was oddly disconnected from it.

The next thing I knew I was floating there, hovering in the air and feeling stunned, not sure where I was, who I was or even what I was. There was a feeling of amnesia. I tried to orient myself to my surroundings, get my bearings and that meant carefully observing. Instantly my head was flooded with knowledge. As I stared at the boulder I knew its chemical composition, could describe every curve concavity and convex structure with mathematical formula that were both known to me and yet unknown. I couldn't believe how clear my thoughts were. Then I became aware of a body. I use the following words because they express what I felt but I didn't use these words. In fact, I wasn't thinking with words at all. I became aware of a 'biological unit' that wasn't functioning. I literally viewed it in the way I might view a car that was all crunched up. I swept over this body and could see almost nothing between where the boulder was lying on it and the ground. There was literally less than an inch. The face was contorted and gray with the mouth open and mud and blood smeared from its nose across its forehead. It wasn't moving or breathing and the face looked familiar but I couldn't place where I'd seen it before.

Then it hit me. It was my face! It looked different partly because it was dead and party because I had always seen my face in a mirror. It looked different when outside of my body. It was then that all my memories flooded back into my head, who I had been, who my family and friends were, what I had done and what I thought.

Then it hit me like a ton of bricks. I was dead and yet here I was, still alive and fully conscious. How could that be? In that instance, my atheism was wiped away and now I didn't know what to expect. I panicked. I was dead! Dad was really going to get pissed at me for killing myself. Then the panic went out of the roof when I realized I was dead. Dad isn't going to get pissed at me. I'm dead. Oh my God, what is going to happen to me? Because I've rejected Jesus, I'm going to hell! Maybe I shouldn't have been so hasty in rejecting religion. Maybe I should have listened more.

Then all that panic was pushed out of me and I can only use the analogy of being bone shivering cold and standing in front of a nice warm fire. All that shivering and cold slowly gets pushed out of you and all your muscles relax as the fire's warmth fills you. I felt this 'fire' coming from behind me and I whirled around to see a man with black wavy hair and black beard, all short cropped and dark well-tanned skin. His eyes were like diamonds sparkling under light and his robe was like a monk's robe except it was bright white and glowing. I could see it flowing around him with visible eddies and currents. This being smiled at me and I was instantly filled with love, so much love I felt I would explode from it. I could not contain it. I've never felt so adored. This being communicated directly with me with thoughts, no words were ever used.

He told me this was an accident and I could go back, if I wanted. I told him by my thoughts there was no way to make that body work. It was squashed flat. He told me that he could make it work again. Did I want to go back? I wanted to know my options. What would happen if I chose to go back and what would happen if I didn't. No sooner did I think these thoughts, and then I was hit with a package of images. It showed in brief what would happen if I didn't go back. I saw my sister get into alcohol and drugs and her life spin out of control, because I wasn't there. I saw my Dad commit suicide because of my death shortly after my mom divorced him over the matter of my death. I saw my paternal grandfather wither away and die, his heart broken over my death and my dad's suicide. There were twin blows that destroyed all the joy he had left in life. The effects went on and on, my mom was sad and heart-broken the rest of her life and so very lonely. And I saw a parade of faces of people I would never meet and whose lives I would have impacted and whose lives would have impacted mine but now I would never know any of them and they would never know me. The man in the white robe had me with my sister. I've always loved my little sister and for her alone I would have chosen to come back but seeing all that pain it would cause everyone else, mom, dad, grandparents, friends, cousins, aunts, and uncles, I had to go back.

Then came a second package of images, those of what would happen if I went back. I skipped over the obvious. Dad didn't commit suicide. My sister turned out okay. Mom ended up happy. My grandfather went on to beam with pride over his first grandson to attend a university. My grandfather was a legal immigrant from Italy who never made it past the 4th grade and he treasured education beyond everything. He crowed like a proud rooster when his kids graduated from high school and I became the first of his grandkids to attend a prestigious university. But what I focused on in this second package was what I would pay as a price for going back. I knew that I would walk again, that all I had lost would be restored but only temporarily. In my latter life, perhaps 10 to 15 years after the accident, I would suffer pain, extreme pain and it would affect me the rest of my life.

I chose to come back. He smiled, as if he knew I would pick the harder path because of how I felt for my family and friends. There was a snap and a pop and I was back in my body. It was filled with crackling electricity like sounds and feelings. I had no breath, no air and this huge rock was choking off all air. I grabbed the small end of the tear near my nose with my one free left hand (my right arm was pinned under the rock) and rolled the thing off me like it was made of papier-mâché`.

I took a painful breath of air and it was as if someone had plunged a sword into my right side. It was an agonizing breath, so painful I passed out and rolled down an embankment into a depression and yet as my body flopped over and over, rolling down hill, I was watching it from the top of my head both half in and half out of my ruined body. I landed in the bottom of this depression in a tangle of brush. I couldn't feel or move my legs. I was completely paralyzed from the waist down and I could barely breathe. Every breath was shallow and stabbed me like a dagger driven deep into my right chest. But I was alive, just like the man in the glowing bright white robe told me I would be but I had not a clue how he did it. I could feel and hear the crackling of what felt and sounded like electricity flowing through me and I knew I had to get help and fast. But how does one walk out of a deep ravine surrounded with muddy slopes and soaring boulders of limestone 15+ feet high with a broken back and legs that not only don't work but I couldn't even feel?

Just then, two boys crested the hill above me, one being a boy I knew named Johnny. I called to them weakly and Johnny dropped down to me. I told him to run and get my dad; I was very badly hurt. The other boy, who I didn't know, lived just up the hill above the ravine I was laying in. He ran to tell his dad to call for an ambulance (they didn't have paramedics in those days).

Things moved fast after that. My Dad, in a complete panic, finally found me as he ran aimlessly around the limestone field calling for me. My dad was the toughest, most fearless man I've ever known but I saw panic in his eyes when he finally got to me. He wanted to pick me up and carry me out of there and I told him not to because my back was broken. Soon the ambulance showed up at the top of the hill near the house of the kid I didn't know and a small army of men had appeared from God knows where. I was strapped to a board that was very carefully slid under me. A small army of men passed me from hand to hand, up that steep muddy slope out of that ravine. Near the top, the line of men collapsed in the slippery mud and I started to fall back down the slope only to be caught and held by my beautiful papa who refused to leave me fall. He rammed his feet into the mud, carved out footholds, and held on until the other men could reestablish their footholds and get me over the crest of the hill and into the ambulance where my mom was waiting.

It was quite a ride to hospital and on the way, I asked my mom to wash the blood and mud off my face, which surprised her because how could I know? She took out of her purse a Kleenex, wetted it with her saliva, and used it to wash my face. Ironically, my face was so numb I couldn't even feel her touching my face.

I was X-rayed, my clothes cut off and the x-rays showed no internal damage yet over the next 11 hours, I could feel the electricity from the white robed man slowly bleed away. I knew I was dying again despite the fact I was delirious from all the morphine they injected in me to hold down my pain. It was clear they had to operate because my blood pressure was falling and I heard them talking about perhaps a bleeding spleen.

My personal doctor came to me and said they had to operate and asked if that would be ok with me. He was such a gentle kind doctor! I said, 'oh yeah, sure, as long as you promise me I'll wake up.' Promises in my family are sacred and you never break one unless the entire universe prevents you and even then, you finish it later. He made the promise and that meant I'd survive the operation. He gave me his promise.

They administered an anesthetic and told me to count back from 100. I did it clear to zero and the orderly said, 'do it again.' So, I did and since I reached zero again I figured he'd just ask me to do it a third time, so I did it a third time. I found them wheeling me into an operation theater. They hoisted my body with several nurses and orderlies up onto two parallel steel rails with my spine settled in between the two rails. My body was draped with sheets, a hood put in front of my face/head, a huge spot light hovered over me, and the room was really, really cold.

I could hear someone say, 'We are losing him!' Then, 'His BP just went to zero.' It meant my heart had stopped. I watched as the doctor, the chief surgeon, took a saw to me to quickly open me up. I still bear the ugly scar across me chest where he literally ripped me open. I saw him say something, 'Oh my dear god' after he got me opened. The internal damage was extensive. In fact, I should not have survived the initial impact of the rock. My heart was pushed out of its normal cavity up under my left armpit. My stomach and liver were shoved up into my right lung, which had collapsed around them. My diaphragm was missing. All my intestines including my spleen were shoved down into an area just above my pubic bone. There was literally nothing in my abdomen and that was why nothing looked out of order in my x-rays. I heard the surgeon say he'd seen car wreck victims die with nothing near as severe as my injuries. He found it miraculous that I'd survived this long. He sawed my open and shoved his hand into my chest. I presume he went after my heart to massage it back to life but just then, the oddest thing happened. I could hear people praying for me. Suddenly I was there and I could see my doctor. He was kneeling on the floor in a waiting room with a bunch of chairs. Next to them were my mom, dad, and someone else behind them. They were all kneeling on the floor in that room praying for my life.

The next thing I know I'm back in the operating room where the surgeon is working frantically to save my life and as he works at massaging my heart I found myself drifting away and the further I drifted the darker the room got and the further away his voice sounded. I found myself well above the operating theater where I should have been on a floor above that room or outside looking on a roof, but I wasn't. Instead, I was floating in the entrance to a tunnel or vortex. I was sucked into it and that was when my adventure really began.

I ended up with a life review, and was escorted around 'the other side' by a being who was my guardian angel/teacher whom I came to call 'professor' but he had an incredible sense of humor. I say 'he' with tongue in cheek because 'he' was neither a he nor a she.

I saw what happened to true atheists (apparently, I was opened-minded enough that I didn't qualify). I got to see various 'heavens' and asked to see what 'Hell' was like if there was one (and there was but it was nothing like I expected). I even asked to meet Jesus and apologize only to meet a man that was nothing like I expected and was given interesting historical facts I was later able to verify.

All of that is far too complex to include here, including numerous predictions of the future that have all come true except one, which I think is yet to happen.
